/*
 * Licensed Materials - Property of IBM
 * 5725-G92 (C) Copyright IBM Corp. 2012, 2013. All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
function login(username, password) {
	if(username == 'demo' && password == 'demo'){
		var userIdentity = {
				userId: username,
				displayName: username,
				attributes: {}
			};
			
		WL.Server.setActiveUser("FTRealm", userIdentity);
		return {
			authRequired: false
		};
	}
	return {
		authRequired: true,
		errorMessage: "Invalid username or password"
	};

}

function getBookedSeatNo(flightId) {
	/*
	var result = {
		bookedSeatNo: []
	};
	*/
	// return an string instead of an array since there's some weird problems when returning an array here. 
	var result = {
		bookedSeatNo: ''
	};
	
	var chcode = 'A'.charCodeAt(0);
	for(var r = 0; r < 50; r++) {
		for(var c = 0; c < 6; c++) {
			var seatNo = (r + 1) + String.fromCharCode(chcode + c);
			var rand = Math.random();
			if(rand > 0.5) {
				if(result.bookedSeatNo.length > 0) {
					result.bookedSeatNo += ',';
				}
				result.bookedSeatNo += seatNo;
//				result.bookedSeatNo.push(seatNo);
				
			}
		}
	}
	
	return result;
}