/*
 * Licensed Materials - Property of IBM
 * 5725-G92 (C) Copyright IBM Corp. 2012, 2013. All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
// This method is invoked after loading the main HTML and successful initialization of the Worklight runtime.
function wlEnvInit(){
    wlCommonInit();
    // Environment initialization code goes here
}

function wlCommonInit() {
	initJS(); // initial JSON store for data-sync
	
	WL.App.overrideBackButton(function() {
		var $currPage = jq.mobile.activePage;
		if($currPage.attr('id') == 'mainPage' || $currPage.attr('id') == 'loginPage') {
			navigator.app.exitApp();
		} else {
			var backViewPage = jq('.backBtn', $currPage).attr('href');
			if(backViewPage) {
				jq.mobile.changePage(backViewPage);
			} else {
				history.back();
			}
		}
	});
}