/*
 * Licensed Materials - Property of IBM
 * 5725-G92 (C) Copyright IBM Corp. 2012, 2013. All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
(function($) {
	$("#mainPage").live("pageinit", function() {
		linkBD('#bookFlights', 'flight.html');
		linkBD('#myOrders', 'order.html', {
			onBeforeChange: function() {
				if(!window.ft.userId) {
					window.ft.nextPage = 'order.html';
					$('#mainPage .login').popup('open');
					return false;
				}
			}
		});
		linkBD('#checkIn', 'selectFlightToCheckIn.html', {
			onBeforeChange: function() {
				if(!window.ft.userId) {
					window.ft.nextPage = 'selectFlightToCheckIn.html';
					$('#mainPage .login').popup('open');
					return false;
				}
			}
		});
		linkBD('#profile', 'profile.html', {
			onBeforeChange: function() {
				if(!window.ft.userId) {
					window.ft.nextPage = 'profile.html';
					$('#mainPage .login').popup('open');
					return false;
				}
			}
		});
		linkBD('#notification', 'notification.html', {
			onBeforeChange: function() {
				if(!window.ft.userId) {
					window.ft.nextPage = 'notification.html';
					$('#mainPage .login').popup('open');
					return false;
				}
			}
		});
//		linkBD('#misc', 'misc.html');
		
		$('#travelAssistant').bind('tap', function(e) {
			e.stopImmediatePropagation();
			e.preventDefault();
			window.ft.orderJS.find(
				{
					'userid' : window.ft.userId
				},
				{
					onSuccess : function(orders) {
						if(orders && orders.length>0){
							window.ft.isFromSearchPage = false;
							$.mobile.changePage('hotelAssist.html');
						}else{
							$.mobile.changePage('hotelSearch.html');
						}
					},
					onFailure : function(err) {
						alert('falied to search orderJS.');
					}
				});
		});
		
	});
})(jq);