/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
var pushSubscribe_Success_Callback = function(){
	alert('Subscribe Success');
};
var pushSubscribe_Fail_Callback = function(){
	alert('Subscribe Failed');
};
var pushUnsubscribe_Success_Callback = function(){
	alert('unSubscribe Success');
};
var pushUnsubscribe_Fail_Callback = function(){
	alert('unSubscribe Failed');
};
var successCallback = function(){
	alert('invoke Success');
};
var failureCallback = function(){
	alert('invoke Failed');
};


WL.Client.Push.onReadyToSubscribe = function(){
	//alert("onReadyToSubscribe");
	WL.Client.Push.registerEventSourceCallback('FTPush', 'FTPushAdapter', 'FTEventSource', onNotification);
	try{
//	WL.Client.Push.subscribe('FTPush', {
//		onSuccess: function(){alert('Subscribe Success');},
//		onFailure: function(){alert('Subscribe Failure');}
//	});
		cordova.exec("Push.dispatch", 'WL.Client.Push.__onmessage');
	}catch(e){
		WL.Logger.error(e.message);
	}

};

function onNotification(props, payload){
//	alert("onNotification invoked");
	if(typeof(props.alert.body)!="undefined"){
		//for iOS
		if(jq.mobile.activePage.attr('id') == 'notification-page') {
			alert(props.alert.body);
			updateNotifications();
		} else if(confirm(props.alert.body + ', do you want to read now?')) {
			jq.mobile.changePage(jq('#notification-page'));
		}
	}else{
		if(jq.mobile.activePage.attr('id') == 'notification-page') {
			alert(props.alert);
			updateNotifications();
		} else if(confirm(props.alert + ', do you want to read now?')) {
			jq.mobile.changePage(jq('#notification-page'));
		}
	}
}

